#!/usr/bin/env python
# vim: set fileencoding=utf-8 :

###############################################################################
#                                                                             #
# Copyright (c) 2016 Idiap Research Institute, http://www.idiap.ch/           #
# Contact: beat.support@idiap.ch                                              #
#                                                                             #
# This file is part of the beat.web module of the BEAT platform.              #
#                                                                             #
# Commercial License Usage                                                    #
# Licensees holding valid commercial BEAT licenses may use this file in       #
# accordance with the terms contained in a written agreement between you      #
# and Idiap. For further information contact tto@idiap.ch                     #
#                                                                             #
# Alternatively, this file may be used under the terms of the GNU Affero      #
# Public License version 3 as published by the Free Software and appearing    #
# in the file LICENSE.AGPL included in the packaging of this file.            #
# The BEAT platform is distributed in the hope that it will be useful, but    #
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
# or FITNESS FOR A PARTICULAR PURPOSE.                                        #
#                                                                             #
# You should have received a copy of the GNU Affero Public License along      #
# with the BEAT platform. If not, see http://www.gnu.org/licenses/.           #
#                                                                             #
###############################################################################

code_suffix = '<br/><i class="fa fa-thumbs-up"></i> The ruler at 80 columns indicate suggested <a href="https://en.wikipedia.org/wiki/POSIX">POSIX line breaks</a> (for readability).<br/><i class="fa fa-thumbs-up"></i> The editor will automatically enlarge to accomodate the entirety of your input<br/><i class="fa fa-thumbs-up"></i> Use <a href="http://codemirror.net/doc/manual.html#commands">keyboard shortcuts</a> for search/replace and faster editing. For example, use Ctrl-F (PC) or Cmd-F (Mac) to search through this box'

Messages = {
        'description': 'Describe the object thoroughly using <a href="http://docutils.sourceforge.net/rst.html">reStructuredText mark-up</a>' + code_suffix,
        'code': 'The code for this algorithm in <a href="https://www.python.org">Python</a>' + code_suffix,
        'uses': 'You can use functions and classes implemented in libraries.<br/>Once added, the library will be automatically imported with the name specified.',
        'library_code': 'The code for this library in <a href="https://www.python.org">Python</a>' + code_suffix,
        'format': 'The <a href="http://json.org">JSON</a> descriptor for this data format' + code_suffix,
        'json': 'The <a href="http://json.org">JSON</a> descriptor for this object' + code_suffix,
        'short_description': 'Describe the object succinctly (try to keep it under 80 characters)',
        'hash': 'Hashed value of the object contents (<a href="https://docs.python.org/2/library/hashlib.html">SHA256, hexadecimal digest</a>). This field is auto-generated and managed by the platform.',
        'algo_name': 'The name for this algorithm (space-like characters will be automatically replaced by dashes)',
        'format_name': 'The name for this dataformat (space-like characters will be automatically replaced by dashes)',
        'name': 'The name for this object (space-like characters will be automatically replaced by dashes)',
        'version': 'The version of this object (an integer starting from 1)',
        }
